org.h2.test.unit

## Class TestGeometryUtils

- java.lang.Object
- - org.h2.test.TestBase
  - - org.h2.test.unit.TestGeometryUtils

    public class TestGeometryUtils
    extends TestBase

Tests the classes from org.h2.util.geometry package.

### Field Summary

### Fields inherited from class org.h2.test.TestBase

`BASE_TEST_DIR, config, start, uniqueId`

### Constructor Summary

Constructors
Constructor and Description
`TestGeometryUtils()`

### Method Summary

Methods
`static void` `main(java.lang.String... a)` May be used to run only this test and may be launched by this test in a subprocess.
`void` `test()` This method will be called by the test framework.

### Methods inherited from class org.h2.test.TestBase

`assertContains, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNotNull, assertNotNull, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertSame, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, crash, createCaller, createClassProxy, createFailingStream, eatMemory, execute, execute, fail, fail, freeMemory, getBaseDir, getClassPath, getFilePassword, getJVM, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getSize, getTestDir, getTestName, getUser, init, init, isEnabled, logError, logErrorMessage, println, printTime, printTimeMemory, readString, runTest, throwException, trace, trace, traceMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestGeometryUtils

    public TestGeometryUtils()

### Method Detail

#### main

    public static void main(java.lang.String... a)
                     throws java.lang.Exception

May be used to run only this test and may be launched by this test in a subprocess.

Parameters:
  `a` - if empty run this test only
Throws:
  `java.lang.Exception`

#### test

    public void test()
              throws java.lang.Exception

Description copied from class: `TestBase`
This method will be called by the test framework.

Specified by:
  `test` in class `TestBase`
Throws:
  `java.lang.Exception` - if an exception in the test occurs